Class | Chef::IndexQueue::AmqpClient
In: | lib/chef/index_queue/amqp_client.rb
Parent: | Object

### Methods

amqp_client disconnected! exchange new queue_for_object reset! stop

### Included Modules

Singleton

### Constants

VNODES | = | 1024

### Public Class methods

new()

### Public Instance methods

amqp_client()
disconnected!()
exchange()
queue_for_object(obj_id) {|amqp_client.queue("vnode-| ...}
reset!()
stop()

[Validate]